PHP Agent 6.9.0.182

Released on: 
Thursday, January 19, 2017 - 11:15

End of Life Notices

  • Support for PHP 5.2 in the New Relic PHP agent is deprecated and will be removed in a future version. New Relic highly encourages upgrading to a supported version of PHP - 5.6 or higher. If you would like to continue running the New Relic PHP agent with PHP 5.2, we recommend using version 6.9 of the agent, however please note that we can only offer limited support in this case.

New Features

  • Instance information for the pgsql and PDO pgsql extensions is now captured. Slow database queries and transaction traces now include the name of the host (including the port or socket) and database that the query was run against.

    Collection of host information can be disabled by setting newrelic.datastore_tracer.instance_reporting.enabled = false in the newrelic.ini. Similarly, the database name can be omitted with newrelic.datastore_tracer.database_name_reporting.enabled = false.